- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::CompCompressor Class Reference

Compress a frame component. More...

`#include <comp_compress.h>`

List of all members.

## Public Member Functions
| CompCompressor (EncoderParams &encp, const FrameParams &fp)
| Constructor.
void | Compress (PicArray &pic_data)
| Compress a frame component.

## Detailed Description

Compress a frame component.

This class compresses one of the three components (Y, U, or V) of a frame according to a given set or parameters. CompCompressor is used by FrameCompressor.

Definition at line 54 of file comp_compress.h.

## Constructor & Destructor Documentation

CompCompressor::CompCompressor | ( | EncoderParams & | encp,
|  | const FrameParams & | fp
| ) |

  | Constructor. Create and initialize a component compressor with the given characteristics. Parameters:
  | encp | encoding parameters
  | fp | frame parameters
Definition at line 63 of file comp_compress.cpp.

## Member Function Documentation

void CompCompressor::Compress | ( | PicArray & | pic_data | ) |

  | Compress a frame component. Compress a PicArray containing a frame component (Y, U, or V). Parameters:
  | pic_data | the component data to be compressed
Definition at line 73 of file comp_compress.cpp. References dirac::WaveletTransform::BandList(), dirac::FrameOutputManager::BandOutput(), dirac::EncoderParams::BitsOut(), dirac::FrameParams::CFormat(), dirac::ArithCodec< T >::Compress(), dirac::EncoderParams::CPD(), dirac::PicArray::CSort(), dirac::UnitOutputManager::Data(), dirac::EncoderParams::EntropyFactors(), dirac::SequenceOutputManager::FrameOutput(), dirac::FrameParams::FSort(), dirac::GolombCode(), dirac::UnitOutputManager::Header(), dirac::EncoderParams::ILambda(), dirac::EncoderParams::L1Lambda(), dirac::EncoderParams::L2Lambda(), dirac::WaveletTransform::SetBandWeights(), dirac::WaveletTransform::Transform(), dirac::EncoderParams::UFactor(), dirac::UnsignedGolombCode(), dirac::EntropyCorrector::Update(), and dirac::EncoderParams::VFactor(). Referenced by dirac::FrameCompressor::Compress().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_encoder/comp_compress.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_encoder/comp_compress.cpp